# Generated by Django 3.2.15 on 2022-08-10 16:29

import aleksis.core.managers
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
        ('sites', '0002_alter_domain_unique'),
        ('core', '0041_update_gender_choices'),
        ('postbuero', '0004_domain_is_public'),
    ]

    operations = [
        migrations.CreateModel(
            name='MailAlias',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('extended_data', models.JSONField(default=dict, editable=False)),
                ('local_part', models.CharField(max_length=64, verbose_name='Local part')),
                ('domain', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='postbuero.maildomain', verbose_name='Domain')),
                ('polymorphic_ctype', models.ForeignKey(editable=False, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='polymorphic_postbuero.mailalias_set+', to='contenttypes.contenttype')),
                ('site', models.ForeignKey(default=1, editable=False, on_delete=django.db.models.deletion.CASCADE, to='sites.site')),
            ],
            options={
                'verbose_name': 'Mail alias',
                'verbose_name_plural': 'Mail alias',
            },
            managers=[
                ('objects', aleksis.core.managers.PolymorphicCurrentSiteManager()),
            ],
        ),
        migrations.CreateModel(
            name='MailAliasForPerson',
            fields=[
                ('mailalias_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='postbuero.mailalias')),
                ('person', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='local_mail_aliases', to='core.person', verbose_name='Person')),
            ],
            options={
                'verbose_name': 'Mail alias for a person',
                'verbose_name_plural': 'Mail aliases for persons',
            },
            bases=('postbuero.mailalias',),
            managers=[
                ('objects', aleksis.core.managers.PolymorphicCurrentSiteManager()),
            ],
        ),
        migrations.CreateModel(
            name='MailAliasForGroup',
            fields=[
                ('mailalias_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='postbuero.mailalias')),
                ('group', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='local_mail_aliases', to='core.group', verbose_name='Group')),
            ],
            options={
                'verbose_name': 'Mail alias for a group',
                'verbose_name_plural': 'Mail aliases for groups',
            },
            bases=('postbuero.mailalias',),
            managers=[
                ('objects', aleksis.core.managers.PolymorphicCurrentSiteManager()),
            ],
        ),
        migrations.AddConstraint(
            model_name='mailalias',
            constraint=models.UniqueConstraint(fields=('local_part', 'domain'), name='unique_alias_per_domain'),
        ),
    ]
